Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
ownerids
ListOwnerIDs
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppOwners.ListOwnerIDs(ctx, operations.C1APIAppV1AppOwnersListOwnerIDsRequest{
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListAppOwnerIDsResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appOwners.listOwnerIDs({
    appId: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/ownerids \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/ownerids"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/ownerids', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "userIds": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The app_id field for the app to list owners of.

Response

200 - application/json

The response message for listing app owners IDs.

The response message for listing app owners IDs.

userIds
string[] | null

The list of owner IDs for the app.